Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::node_field_value_listener< FieldValue > Class Template Reference

`#include <openvrml/event.h>`

Inheritance diagram for openvrml::node_field_value_listener< FieldValue >:

[legend]

List of all members.

## Detailed Description

### template<typename FieldValue>
class openvrml::node_field_value_listener< FieldValue >

Base class for `field_value_listeners` that are members of nodes.

## Public Member Functions

virtual | ~node_field_value_listener () throw ()
| Destroy.

## Protected Member Functions

| node_field_value_listener (openvrml::node &n) throw ()
| Construct.

## Constructor & Destructor Documentation

template<typename FieldValue>

openvrml::node_field_value_listener< FieldValue >::~node_field_value_listener | ( |  | ) | throw ()`[inline, virtual]`

Destroy.

template<typename FieldValue>

openvrml::node_field_value_listener< FieldValue >::node_field_value_listener | ( | openvrml::node & | n | ) | throw ()`[inline, explicit, protected]`

Construct.

Parameters:

  `[in]` | n | the `node` of which the listener is a member.